Package resources.icons

# Class DisabledImageIconWrapper

java.lang.Object
javax.swing.ImageIcon
resources.icons.ImageIconWrapper
resources.icons.DisabledImageIconWrapper

All Implemented Interfaces:
  `Serializable`, `Accessible`, `Icon`, `FileBasedIcon`

@Deprecated(forRemoval=true, since="11") public class DisabledImageIconWrapper extends ImageIconWrapper
Deprecated, for removal: This API element is subject to removal in a future version.
This class has been replaced by `DisabledImageIcon` since it extends `ImageIconWrapper` which has also been deprecated.
Creates a disabled version of an icon

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.ImageIcon

  `ImageIcon.AccessibleImageIcon`

- ## Field Summary

  ### Fields inherited from class javax.swing.ImageIcon

  `component, tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisabledImageIconWrapper(Icon baseIcon)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct wrapped disabled ImageIcon based upon specified baseIcon.
  `DisabledImageIconWrapper(Icon baseIcon, int brightnessPercent)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct wrapped disabled ImageIcon based upon specified baseIcon using the specified brightness level

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ImageIcon`
  `createImageIcon()`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class resources.icons.ImageIconWrapper

  `createIconBaseImage, getAccessibleContext, getDescription, getFilename, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageName, getImageObserver, paintIcon, setDescription, setImage, toString`

  ### Methods inherited from class javax.swing.ImageIcon

  `loadImage, setImageObserver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisabledImageIconWrapper

    public DisabledImageIconWrapper(Icon baseIcon)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct wrapped disabled ImageIcon based upon specified baseIcon. A 50% brightness will be applied.
    Parameters:
      `baseIcon` - enabled icon to be rendered as disabled

  - ### DisabledImageIconWrapper

    public DisabledImageIconWrapper(Icon baseIcon, int brightnessPercent)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct wrapped disabled ImageIcon based upon specified baseIcon using the specified brightness level
    Parameters:
      `baseIcon` -
      `brightnessPercent` - a brightness level specified using a value in the range of 0 thru 100.

- ## Method Details

  - ### createImageIcon

    protected ImageIcon createImageIcon()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `createImageIcon` in class `ImageIconWrapper`